org.apache.storm.trident.topology.state

## Class TestTransactionalState

- java.lang.Object
- - org.apache.storm.trident.topology.state.TransactionalState
  - - org.apache.storm.trident.topology.state.TestTransactionalState

-     public class TestTransactionalState
      extends TransactionalState

  Facilitates testing of non-public methods in the parent class.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TestTransactionalState(Map<String,Object> conf, String id, String subroot)` Matching constructor in absence of a default constructor in the parent class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createNode(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework curator, String rootDir, byte[] data, List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> acls, org.apache.storm.shade.org.apache.zookeeper.CreateMode mode)`

    - ### Methods inherited from class org.apache.storm.trident.topology.state.TransactionalState

      `close, delete, forPath, getData, list, mkdir, newCoordinatorState, newUserState, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestTransactionalState

          protected TestTransactionalState(Map<String,Object> conf,
                                           String id,
                                           String subroot)

      Matching constructor in absence of a default constructor in the parent class.

  - ### Method Detail

    - #### createNode

          public static void createNode(org.apache.storm.shade.org.apache.curator.framework.CuratorFramework curator,
                                        String rootDir,
                                        byte[] data,
                                        List<org.apache.storm.shade.org.apache.zookeeper.data.ACL> acls,
                                        org.apache.storm.shade.org.apache.zookeeper.CreateMode mode)
                                 throws Exception

      Throws:
        `Exception`

Copyright © 2021 The Apache Software Foundation. All rights reserved.